Subject: Re: [netmod] Feedback on draft-ietf-ipfix-configuration-model-07

From: "Andy Bierman" <[email-masked]>
Date: Tue, 10 Aug 2010 08:43:09 -0700

Hi,

I do not think the module needs to be split up, or that the camelCase needs to be changed.  Neither will help somebody understand the complexity of ipfix.

(Shameless plug) The opensource yangdump program can generate the expanded YANG which I find easier to read than following the uses statements.

Andy

----- Reply message -----
From: "Juergen Schoenwaelder" <[email-masked]>
Date: Tue, Aug 10, 2010 08:21
Subject: [netmod] Feedback on draft-ietf-ipfix-configuration-model-07
To: "Martin Bjorklund" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>

On Tue, Aug 10, 2010 at 03:15:52PM +0200, Martin Bjorklund wrote:
> Gerhard Muenz <[email-masked]> wrote:
> > 
> > Hi Lada,
> > > 2. Given the large number of declared features (17), perhaps it would be
> > > better to have multiple modules, e.g. separate modules for "meter",
> > > "exporter", "collector" and "psamp". Have you considered this option?
> > 
> > I have not thought about this.
> > 
> > There are a lot of dependencies and restrictions which would then be
> > defined across module boundaries. Therefore, I'm not sure whether your
> > suggestion works.
> 
> I think one module for ipfix is fine.  I do not understand what
> problem is solved by splitting into more modules.

Same feeling here. Perhaps there is also an implicit request for tools
that can help with making the feature partitions easier to inspect and
analyze.

The downside of many modules is the number of namespaces that need to
be dealt with - especially by humans (machines have it easier to sort
out many namespaces). Another level of modularization are submodules
but it is unclear whether or how they work in the IETF since we lack
operational experience with them.

/js 

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod